AWTPolygonProducer (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class AWTPolygonProducer

    java.lang.Object
      com.mxgraph.util.svg.AWTPolylineProducer
          com.mxgraph.util.svg.AWTPolygonProducer

All Implemented Interfaces:
  PointsHandler, ShapeProducer

    public class AWTPolygonProducer

extends AWTPolylineProducer

This class produces a polygon shape from a reader.

Field Summary

Fields inherited from class com.mxgraph.util.svg.AWTPolylineProducer
`newPath, path, windingRule`

Constructor Summary
`AWTPolygonProducer()`

Method Summary
`static Shape` | `createShape(String text, int wr)` Utility method for creating an ExtendedGeneralPath.
`void` | `endPoints()` Implements `PointsHandler.endPoints()`.

Methods inherited from class com.mxgraph.util.svg.AWTPolylineProducer
`getShape, getWindingRule, point, setWindingRule, startPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTPolygonProducer

    public AWTPolygonProducer()

Method Detail

### createShape

    public static Shape createShape(String text,
                                    int wr)
                             throws ParseException

  Utility method for creating an ExtendedGeneralPath.

  Parameters:
    `text` - The text representation of the path specification.
    `wr` - The winding rule to use for creating the path.
  Throws:
    `ParseException`

### endPoints

    public void endPoints()
                   throws ParseException

  Implements `PointsHandler.endPoints()`.

  Specified by:
    `endPoints` in interface `PointsHandler`
  Overrides:
    `endPoints` in class `AWTPolylineProducer`
  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.